Subject: bug#39047: closed (Re: bug#39047: macOS Catalina stack overflow patch)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jan 2020 20:08:01 +0000

Your bug report

#39047: macOS Catalina stack overflow patch

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39047: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39047
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39047: macOS Catalina stack overflow patch
From: Alan Third <[email-masked]>
To: Väinö Järvelä <[email-masked]>
Cc: [email-masked]
Date: Thu, 9 Jan 2020 20:07:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 09, 2020 at 08:07:23AM +0200, Väinö Järvelä wrote:
> Hi,
> 
> After updating to macOS Catalina, Emacs started crashing when opening
> any file, even a file that doesn't exist.
> 
> I traced it to a stack overflow from a fix to bug #38618 (commit
> bfc54230). A fix for the bug is included.

Hi, this looks good. I did wonder if I was using the right type when I
wrote that code, but it seemed to work, anyway, thanks for spotting it.

Pushed to emacs-27 as 58412402959d8f88e230f95c5fc7de072e115140.
-- 
Alan Third

Subject: macOS Catalina stack overflow patch
From: Väinö Järvelä <[email-masked]>
To: [email-masked]
Date: Thu, 9 Jan 2020 08:07:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

After updating to macOS Catalina, Emacs started crashing when opening
any file, even a file that doesn't exist.

I traced it to a stack overflow from a fix to bug #38618 (commit
bfc54230). A fix for the bug is included.

-- 
Väinö